<?php

if (!defined('IN_AJAX')) die(basename(__FILE__));

global $lang, $userdata;
$mode = (string) $this->request['mode'];

switch($mode)
{	
	case 'user_index_stats':	
	
		$btu = get_bt_userdata($userdata['user_id']);
		$rate = (isset($btu['u_down_total']) && $btu['u_down_total'] > MIN_DL_FOR_RATIO) ? '<b>'.get_bt_ratio($btu).'</b>' : '<b>'.$lang['NONE'].'</b> (DL < '.humn_size(MIN_DL_FOR_RATIO).')';
		$profile = (function_exists('seo_url')) ? seo_url(PROFILE_URL . $userdata['user_id'], $userdata['username']) : PROFILE_URL . $userdata['user_id'];
	
		$html = '<div style="position: absolute;">';
		$html .= '<a href="'. $profile .'" class="avatars">'.get_avatar($userdata['user_avatar'], $userdata['user_avatar_type'], !bf($userdata['user_opt'], 'user_opt', 'allow_avatar')).'</a><br></div>';
		$html .= '<div style="padding-left: 110px;"><table cellpadding="2">';
		$html .= '<tr><td width="50%">'.$lang['USER_RATIO'].'</td><td width="50%">'.$rate.'</td></tr>';
		$html .= '<tr><td>'.$lang['DOWNLOADED'].'</td><td class="leechmed"><b>'.humn_size($btu['u_down_total']).'</b></td></tr>';
		$html .= '<tr><td>'.$lang['UPLOADED'].'</td><td class="seedmed"><b>'.humn_size($btu['u_up_total']).'</b></td></tr>';
		$html .= '<tr><td>'.$lang['RELEASED'].'</td><td class="seedmed">'.humn_size($btu['u_up_release']).'</td></tr>';
		$html .= '<tr><td class="nowrap">'.$lang['BONUS'].'</td><td class="seedmed" >'.humn_size($btu['u_up_bonus']).'</td></tr>';
		$html .= '<tr><td>'.$lang['SEED_BONUS'].'</td><td><a href="profile.php?mode=bonus"><span class="points bold">'.$userdata['user_points'].'</span></a></td></tr></table></div>';
	
	break;
	
}

$this->response['html']	= $html;
$this->response['mode']	= $mode;